#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private EMASlopeColor[] cacheEMASlopeColor;

		
		public EMASlopeColor EMASlopeColor(int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			return EMASlopeColor(Input, period, upColor, dnColor, colorSlope);
		}


		
		public EMASlopeColor EMASlopeColor(ISeries<double> input, int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			if (cacheEMASlopeColor != null)
				for (int idx = 0; idx < cacheEMASlopeColor.Length; idx++)
					if (cacheEMASlopeColor[idx].Period == period && cacheEMASlopeColor[idx].UpColor == upColor && cacheEMASlopeColor[idx].DnColor == dnColor && cacheEMASlopeColor[idx].ColorSlope == colorSlope && cacheEMASlopeColor[idx].EqualsInput(input))
						return cacheEMASlopeColor[idx];
			return CacheIndicator<EMASlopeColor>(new EMASlopeColor(){ Period = period, UpColor = upColor, DnColor = dnColor, ColorSlope = colorSlope }, input, ref cacheEMASlopeColor);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.EMASlopeColor EMASlopeColor(int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			return indicator.EMASlopeColor(Input, period, upColor, dnColor, colorSlope);
		}


		
		public Indicators.EMASlopeColor EMASlopeColor(ISeries<double> input , int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			return indicator.EMASlopeColor(input, period, upColor, dnColor, colorSlope);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.EMASlopeColor EMASlopeColor(int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			return indicator.EMASlopeColor(Input, period, upColor, dnColor, colorSlope);
		}


		
		public Indicators.EMASlopeColor EMASlopeColor(ISeries<double> input , int period, Brush upColor, Brush dnColor, bool colorSlope)
		{
			return indicator.EMASlopeColor(input, period, upColor, dnColor, colorSlope);
		}

	}
}

#endregion
